http://d.puremagic.com/issues/show_bug.cgi?id=3020



--- Comment #4 from Don <clugd...@yahoo.com.au> 2010-10-22 17:23:09 PDT ---
For the initial test case, the error messages are:

test.d(17): Error: writefln is not nothrow
test0.d(13): Error: function test0.test 'test' is nothrow yet may throw

Another example:
=======
import core.exception;

void foo() nothrow
{
    try {
    throw new Exception("xxx");        
    } catch(Exception e) {
    auto z = new int;
    throw e;
    }
}
----
test.d(8): Error: 'new int' may throw OutOfMemoryError
test.d(9): Error: object.Exception is thrown but not caught
test.d(3): Error: function test0.foo 'foo' is nothrow yet may throw

-- 
Configure issuemail: http://d.puremagic.com/issues/userprefs.cgi?tab=email
------- You are receiving this mail because: -------

Reply via email to